#! /cs/local/bin/perl

# run HotKnots on all sequences in input directory

$in_path = "/cs/beta/People/Cpop/2007/HotKnots/Workspace/HotKnots2.3/bin/TestSeq/"; #input path

$hotknots = "/cs/beta/People/Cpop/2007/HotKnots/Workspace/HotKnots2.3/bin/"; #location of HotKnots executable

@files_found = <$in_path*.seq>;

@lines;
$command;
$results;
$slash = "/";

# call computeEnergy on each input file
foreach $f (@files_found) {
	print "Running $f\n";

	@fileparts = split(/\//,$f);  # split in terms of slash
	$filename = $fileparts[-1];
	$filename =~ s/\.seq//g;  # remove .seq
	$file = "$fileparts[-2]$slash$filename";

	$commandpart1 = "HotKnot -noPS -I $file";  # generate up to 20 suboptimals
	$command = "$hotknots$commandpart1";
	print "$command \n";
	@results = `$command`;  # call HotKnots on file $f

	print "@results";
}

print "Done.";
